|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3VButtonGroup Class Reference

The Q3VButtonGroup widget organizes button widgets in a vertical column. More...

    #include <Q3VButtonGroup>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the Qt3Support module.

Inherits Q3ButtonGroup.

- List of all members, including inherited members

### Public Functions

- Q3VButtonGroup ( QWidget * parent = 0, const char * name = 0 )
- Q3VButtonGroup ( const QString & title, QWidget * parent = 0, const char * name = 0 )

- 12 public functions inherited from Q3ButtonGroup
- 10 public functions inherited from Q3GroupBox
- 9 public functions inherited from QGroupBox
- 183 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Additional Inherited Members

- 3 properties inherited from Q3ButtonGroup
- 2 properties inherited from Q3GroupBox
- 5 properties inherited from QGroupBox
- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 1 public slot inherited from QGroupBox
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 3 signals inherited from Q3ButtonGroup
- 1 signal inherited from QGroupBox
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The Q3VButtonGroup widget organizes button widgets in a vertical column.

Q3VButtonGroup is a convenience class that offers a thin layer on top of Q3ButtonGroup. Think of it as a QVBoxWidget that offers a frame with a title and is specifically designed for buttons.

See also Q3HButtonGroup.

## Member Function Documentation

### Q3VButtonGroup::Q3VButtonGroup ( QWidget * parent = 0, const char * name = 0 )

Constructs a vertical button group with no title.

The parent and name arguments are passed on to the QWidget constructor.

### Q3VButtonGroup::Q3VButtonGroup ( const QString & title, QWidget * parent = 0, const char * name = 0 )

Constructs a vertical button group with the title title.

The parent and name arguments are passed on to the QWidget constructor.